org.apache.hadoop.mapred.lib

## Class TotalOrderPartitioner<K,V>

- java.lang.Object
- - org.apache.hadoop.mapreduce.Partitioner<K,V>
  - - org.apache.hadoop.mapreduce.lib.partition.TotalOrderPartitioner<K,V>
    - - org.apache.hadoop.mapred.lib.TotalOrderPartitioner<K,V>

- All Implemented Interfaces:
    org.apache.hadoop.conf.Configurable, JobConfigurable, Partitioner<K,V>

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class TotalOrderPartitioner<K,V>
      extends TotalOrderPartitioner<K,V>
      implements Partitioner<K,V>

  Partitioner effecting a total order by reading split points from an externally generated source.

- - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.mapreduce.lib.partition.TotalOrderPartitioner

      `DEFAULT_PATH, MAX_TRIE_DEPTH, NATURAL_ORDER, PARTITIONER_PATH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TotalOrderPartitioner()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(JobConf job)` Initializes a new instance from a `JobConf`.
    `static String` | `getPartitionFile(JobConf job)` Deprecated. Use `TotalOrderPartitioner.getPartitionFile(Configuration)` instead
    `static void` | `setPartitionFile(JobConf job, org.apache.hadoop.fs.Path p)` Deprecated. Use `TotalOrderPartitioner.setPartitionFile(Configuration, Path)` instead

    - ### Methods inherited from class org.apache.hadoop.mapreduce.lib.partition.TotalOrderPartitioner

      `getConf, getPartition, getPartitionFile, setConf, setPartitionFile`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.mapred.Partitioner

      `getPartition`

- - ### Constructor Detail

    - #### TotalOrderPartitioner

          public TotalOrderPartitioner()

  - ### Method Detail

    - #### configure

          public void configure(JobConf job)

      Description copied from interface: `JobConfigurable`
      Initializes a new instance from a `JobConf`.
      Specified by:
        `configure` in interface `JobConfigurable`
      Parameters:
        `job` - the configuration

    - #### setPartitionFile

          @Deprecated
          public static void setPartitionFile(JobConf job,
                                                          org.apache.hadoop.fs.Path p)

      Deprecated. Use `TotalOrderPartitioner.setPartitionFile(Configuration, Path)` instead
      Set the path to the SequenceFile storing the sorted partition keyset. It must be the case that for `R` reduces, there are `R-1` keys in the SequenceFile.

    - #### getPartitionFile

          @Deprecated
          public static String getPartitionFile(JobConf job)

      Deprecated. Use `TotalOrderPartitioner.getPartitionFile(Configuration)` instead
      Get the path to the SequenceFile storing the sorted partition keyset.
      See Also:
        `setPartitionFile(JobConf,Path)`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.